# Visualization
TKV3d
Prs3d

# Prs3d_LineAspect Class Reference

A framework for defining how a line will be displayed
in a presentation. Aspects of line display include
width, color and type of line.
The definition set by this class is then passed to the
attribute manager Prs3d_Drawer.
Any object which requires a value for line aspect as
an argument may then be given the attribute manager
as a substitute argument in the form of a field such as myDrawer for example.
.

`#include <Prs3d_LineAspect.hxx>`

Inheritance diagram for Prs3d_LineAspect:

[legend]

## Public Member Functions

Standard_EXPORT | Prs3d_LineAspect (const Quantity_NameOfColor aColor, const Aspect_TypeOfLine aType, const Standard_Real aWidth)
| Constructs a framework for line aspect defined by - the color aColor - the type of line aType and - the line thickness aWidth. Type of line refers to whether the line is solid or dotted, for example. .
Standard_EXPORT | Prs3d_LineAspect (const Quantity_Color &aColor, const Aspect_TypeOfLine aType, const Standard_Real aWidth)
Standard_EXPORT void | SetColor (const Quantity_Color &aColor)
Standard_EXPORT void | SetColor (const Quantity_NameOfColor aColor)
| Sets the line color defined at the time of construction. Default value: Quantity_NOC_YELLOW .
Standard_EXPORT void | SetTypeOfLine (const Aspect_TypeOfLine aType)
| Sets the type of line defined at the time of construction. This could, for example, be solid, dotted or made up of dashes. Default value: Aspect_TOL_SOLID .
Standard_EXPORT void | SetWidth (const Standard_Real aWidth)
| Sets the line width defined at the time of construction. Default value: 1. .
Standard_EXPORT Handle_Graphic3d_AspectLine3d | Aspect () const
| Returns the line aspect. This is defined as the set of color, type and thickness attributes. .
virtual Standard_EXPORT void | Print (Standard_OStream &s) const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_Graphic3d_AspectLine3d | myAspect

## Constructor & Destructor Documentation

Standard_EXPORT Prs3d_LineAspect::Prs3d_LineAspect | ( | const Quantity_NameOfColor | aColor,
|  | const Aspect_TypeOfLine | aType,
|  | const Standard_Real | aWidth
| ) |

Standard_EXPORT Prs3d_LineAspect::Prs3d_LineAspect | ( | const Quantity_Color & | aColor,
|  | const Aspect_TypeOfLine | aType,
|  | const Standard_Real | aWidth
| ) |

## Member Function Documentation

Standard_EXPORT Handle_Graphic3d_AspectLine3d Prs3d_LineAspect::Aspect | ( |  | ) | const

Standard_EXPORT const Prs3d_LineAspect::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Prs3d_BasicAspect. Reimplemented in Prs3d_IsoAspect.

virtual Standard_EXPORT void Prs3d_LineAspect::Print | ( | Standard_OStream & | s | ) | const`[virtual]`

| Reimplemented in Prs3d_IsoAspect.

Standard_EXPORT void Prs3d_LineAspect::SetColor | ( | const Quantity_NameOfColor | aColor | ) |

Standard_EXPORT void Prs3d_LineAspect::SetColor | ( | const Quantity_Color & | aColor | ) |

Standard_EXPORT void Prs3d_LineAspect::SetTypeOfLine | ( | const Aspect_TypeOfLine | aType | ) |

Standard_EXPORT void Prs3d_LineAspect::SetWidth | ( | const Standard_Real | aWidth | ) |

## Field Documentation

Handle_Graphic3d_AspectLine3d Prs3d_LineAspect::myAspect `[private]`

The documentation for this class was generated from the following file:

- Prs3d_LineAspect.hxx